org.omg.PortableInterceptor

## Interface ServerRequestInterceptor

All Superinterfaces:
  IDLEntity, Interceptor, InterceptorOperations, Object, Serializable, ServerRequestInterceptorOperations

    public interface ServerRequestInterceptor
    extends ServerRequestInterceptorOperations, Interceptor, IDLEntity

Server-side request interceptor.

A request Interceptor is designed to intercept the flow of a request/reply sequence through the ORB at specific points so that services can query the request information and manipulate the service contexts which are propagated between clients and servers. The primary use of request Interceptors is to enable ORB services to transfer context information between clients and servers. There are two types of request Interceptors: client-side and server-side.

To write a server-side Interceptor, implement the ServerRequestInterceptor interface.

See Also:
  `ServerRequestInfo`

### Method Summary

### Methods inherited from interface org.omg.PortableInterceptor.ServerRequestInterceptorOperations

`receive_request_service_contexts, receive_request, send_exception, send_other, send_reply`

### Methods inherited from interface org.omg.PortableInterceptor.InterceptorOperations

`destroy, name`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.